Subject: [bug#49823] Using texinfo for the description

From: Maxime Devos <[email-masked]>
Date: Mon, 02 Aug 2021 18:35:18 +0200

Vivien Kraus via Guix-patches via schreef op ma 02-08-2021 om 18:15 [+0200]:
> maximed told me I could use texinfo in the description.
> 
> (I also removed a couple of lines in the C++ source because the
> constant was not used.)
> 
> Also, I was advised to put the added source code in a local-file such
> as what is done by gnuzilla, but I could not figure out how it was done
> for gnuzilla (the package is quite large).

Something like this should work (untested):

  (package
    (origin
      [...]
      (snippet
        #~(begin
            [...]
            (delete-file "third_party/md5/md5.cpp") ; maybe not necessary?
            (copy-file #+(search-auxiliary-file "jsonnet-md5.cpp")
                      "third_party/md5/md5.cpp")
            [...])))
    [...])

> If I go with a patch, there
> are a lot of things that get deleted, so it makes a rather large patch.

"git diff" has an option "--irreversible-deletes" and "--break-rewrites"
which should reduce the size of the patch, by not including the previous
version.

> What do you think?
> Vivien